class System.DateTimeOffset
   inherits System.ValueType
   implements System.IComparable, System.IFormattable, System.Runtime.Serialization.ISerializable, System.Runtime.Serialization.IDeserializationCallback, System.IComparable, System.IEquatable
   final:

   def public static variable MinValue as System.DateTimeOffset.

   def public static variable MaxValue as System.DateTimeOffset.

   def public static property Now as System.DateTimeOffset
      get.

   def public static property UtcNow as System.DateTimeOffset
      get.

   def public property DateTime as datetime
      get.

   def public property UtcDateTime as datetime
      get.

   def public property LocalDateTime as datetime
      get.

   def public property Date as datetime
      get.

   def public property Day as integer
      get.

   def public property DayOfWeek as System.DayOfWeek
      get.

   def public property DayOfYear as integer
      get.

   def public property Hour as integer
      get.

   def public property Millisecond as integer
      get.

   def public property Minute as integer
      get.

   def public property Month as integer
      get.

   def public property Offset as System.TimeSpan
      get.

   def public property Second as integer
      get.

   def public property Ticks as int64
      get.

   def public property UtcTicks as int64
      get.

   def public property TimeOfDay as System.TimeSpan
      get.

   def public property Year as integer
      get.

   constructor public DateTimeOffset(input ticks as int64, input offset as System.TimeSpan):
   end constructor.

   constructor public DateTimeOffset(input dateTime as datetime):
   end constructor.

   constructor public DateTimeOffset(input dateTime as datetime, input offset as System.TimeSpan):
   end constructor.

   constructor public DateTimeOffset(input year as integer, input month as integer, input day as integer, input hour as integer, input minute as integer, input second as integer, input offset as System.TimeSpan):
   end constructor.

   constructor public DateTimeOffset(input year as integer, input month as integer, input day as integer, input hour as integer, input minute as integer, input second as integer, input millisecond as integer, input offset as System.TimeSpan):
   end constructor.

   constructor public DateTimeOffset(input year as integer, input month as integer, input day as integer, input hour as integer, input minute as integer, input second as integer, input millisecond as integer, input calendar as System.Globalization.Calendar, input offset as System.TimeSpan):
   end constructor.

   method public final System.DateTimeOffset ToOffset(input offset as System.TimeSpan):
   end method.

   method public final System.DateTimeOffset Add(input timeSpan as System.TimeSpan):
   end method.

   method public final System.DateTimeOffset AddDays(input days as decimal):
   end method.

   method public final System.DateTimeOffset AddHours(input hours as decimal):
   end method.

   method public final System.DateTimeOffset AddMilliseconds(input milliseconds as decimal):
   end method.

   method public final System.DateTimeOffset AddMinutes(input minutes as decimal):
   end method.

   method public final System.DateTimeOffset AddMonths(input months as integer):
   end method.

   method public final System.DateTimeOffset AddSeconds(input seconds as decimal):
   end method.

   method public final System.DateTimeOffset AddTicks(input ticks as int64):
   end method.

   method public final System.DateTimeOffset AddYears(input years as integer):
   end method.

   method public final static integer Compare(input first as System.DateTimeOffset, input second as System.DateTimeOffset):
   end method.

   method public final integer CompareTo(input other as System.DateTimeOffset):
   end method.

   method public override logical Equals(input obj as System.Object):
   end method.

   method public final logical Equals(input other as System.DateTimeOffset):
   end method.

   method public final logical EqualsExact(input other as System.DateTimeOffset):
   end method.

   method public final static logical Equals(input first as System.DateTimeOffset, input second as System.DateTimeOffset):
   end method.

   method public final static System.DateTimeOffset FromFileTime(input fileTime as int64):
   end method.

   method public final static System.DateTimeOffset FromUnixTimeSeconds(input seconds as int64):
   end method.

   method public final static System.DateTimeOffset FromUnixTimeMilliseconds(input milliseconds as int64):
   end method.

   method public final override integer GetHashCode():
   end method.

   method public final static System.DateTimeOffset Parse(input input as character):
   end method.

   method public final static System.DateTimeOffset Parse(input input as character, input formatProvider as System.IFormatProvider):
   end method.

   method public final static System.DateTimeOffset Parse(input input as character, input formatProvider as System.IFormatProvider, input styles as System.Globalization.DateTimeStyles):
   end method.

   method public final static System.DateTimeOffset ParseExact(input input as character, input format as character, input formatProvider as System.IFormatProvider):
   end method.

   method public final static System.DateTimeOffset ParseExact(input input as character, input format as character, input formatProvider as System.IFormatProvider, input styles as System.Globalization.DateTimeStyles):
   end method.

   method public final static System.DateTimeOffset ParseExact(input input as character, input formats as System.String extent, input formatProvider as System.IFormatProvider, input styles as System.Globalization.DateTimeStyles):
   end method.

   method public final System.TimeSpan Subtract(input value as System.DateTimeOffset):
   end method.

   method public final System.DateTimeOffset Subtract(input value as System.TimeSpan):
   end method.

   method public final int64 ToFileTime():
   end method.

   method public final int64 ToUnixTimeSeconds():
   end method.

   method public final int64 ToUnixTimeMilliseconds():
   end method.

   method public final System.DateTimeOffset ToLocalTime():
   end method.

   method public override character ToString():
   end method.

   method public final character ToString(input format as character):
   end method.

   method public final character ToString(input formatProvider as System.IFormatProvider):
   end method.

   method public final character ToString(input format as character, input formatProvider as System.IFormatProvider):
   end method.

   method public final System.DateTimeOffset ToUniversalTime():
   end method.

   method public final static logical TryParse(input input as character, input result as System.DateTimeOffset):
   end method.

   method public final static logical TryParse(input input as character, input formatProvider as System.IFormatProvider, input styles as System.Globalization.DateTimeStyles, input result as System.DateTimeOffset):
   end method.

   method public final static logical TryParseExact(input input as character, input format as character, input formatProvider as System.IFormatProvider, input styles as System.Globalization.DateTimeStyles, input result as System.DateTimeOffset):
   end method.

   method public final static logical TryParseExact(input input as character, input formats as System.String extent, input formatProvider as System.IFormatProvider, input styles as System.Globalization.DateTimeStyles, input result as System.DateTimeOffset):
   end method.

end class.
