class System.IO.FileStream
   inherits System.IO.Stream
   implements System.IDisposable:

   def public override property CanRead as logical
      get.

   def public override property CanWrite as logical
      get.

   def public override property CanSeek as logical
      get.

   def public property IsAsync as logical
      get.

   def public override property Length as int64
      get.

   def public property Name as character
      get.

   def public override property Position as int64
      get.
      set.

   def public property Handle as System.IntPtr
      get.

   def public property SafeFileHandle as Microsoft.Win32.SafeHandles.SafeFileHandle
      get.

   constructor public FileStream(input path as character, input mode as System.IO.FileMode):
   end constructor.

   constructor public FileStream(input path as character, input mode as System.IO.FileMode, input access as System.IO.FileAccess):
   end constructor.

   constructor public FileStream(input path as character, input mode as System.IO.FileMode, input access as System.IO.FileAccess, input share as System.IO.FileShare):
   end constructor.

   constructor public FileStream(input path as character, input mode as System.IO.FileMode, input access as System.IO.FileAccess, input share as System.IO.FileShare, input bufferSize as integer):
   end constructor.

   constructor public FileStream(input path as character, input mode as System.IO.FileMode, input access as System.IO.FileAccess, input share as System.IO.FileShare, input bufferSize as integer, input options as System.IO.FileOptions):
   end constructor.

   constructor public FileStream(input path as character, input mode as System.IO.FileMode, input access as System.IO.FileAccess, input share as System.IO.FileShare, input bufferSize as integer, input useAsync as logical):
   end constructor.

   constructor public FileStream(input path as character, input mode as System.IO.FileMode, input rights as System.Security.AccessControl.FileSystemRights, input share as System.IO.FileShare, input bufferSize as integer, input options as System.IO.FileOptions, input fileSecurity as System.Security.AccessControl.FileSecurity):
   end constructor.

   constructor public FileStream(input path as character, input mode as System.IO.FileMode, input rights as System.Security.AccessControl.FileSystemRights, input share as System.IO.FileShare, input bufferSize as integer, input options as System.IO.FileOptions):
   end constructor.

   constructor public FileStream(input handle as System.IntPtr, input access as System.IO.FileAccess):
   end constructor.

   constructor public FileStream(input handle as System.IntPtr, input access as System.IO.FileAccess, input ownsHandle as logical):
   end constructor.

   constructor public FileStream(input handle as System.IntPtr, input access as System.IO.FileAccess, input ownsHandle as logical, input bufferSize as integer):
   end constructor.

   constructor public FileStream(input handle as System.IntPtr, input access as System.IO.FileAccess, input ownsHandle as logical, input bufferSize as integer, input isAsync as logical):
   end constructor.

   constructor public FileStream(input handle as Microsoft.Win32.SafeHandles.SafeFileHandle, input access as System.IO.FileAccess):
   end constructor.

   constructor public FileStream(input handle as Microsoft.Win32.SafeHandles.SafeFileHandle, input access as System.IO.FileAccess, input bufferSize as integer):
   end constructor.

   constructor public FileStream(input handle as Microsoft.Win32.SafeHandles.SafeFileHandle, input access as System.IO.FileAccess, input bufferSize as integer, input isAsync as logical):
   end constructor.

   method public final System.Security.AccessControl.FileSecurity GetAccessControl():
   end method.

   method public final void SetAccessControl(input fileSecurity as System.Security.AccessControl.FileSecurity):
   end method.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method protected final override void Finalize():
   end method.

   method public override void Flush():
   end method.

   method public void Flush(input flushToDisk as logical):
   end method.

   method public override void SetLength(input value as int64):
   end method.

   method public override integer Read(input array as System.Byte extent, input offset as integer, input count as integer):
   end method.

   method public override int64 Seek(input offset as int64, input origin as System.IO.SeekOrigin):
   end method.

   method public override void Write(input array as System.Byte extent, input offset as integer, input count as integer):
   end method.

   method public override System.IAsyncResult BeginRead(input array as System.Byte extent, input offset as integer, input numBytes as integer, input userCallback as System.AsyncCallback, input stateObject as System.Object):
   end method.

   method public override integer EndRead(input asyncResult as System.IAsyncResult):
   end method.

   method public override integer ReadByte():
   end method.

   method public override System.IAsyncResult BeginWrite(input array as System.Byte extent, input offset as integer, input numBytes as integer, input userCallback as System.AsyncCallback, input stateObject as System.Object):
   end method.

   method public override void EndWrite(input asyncResult as System.IAsyncResult):
   end method.

   method public override void WriteByte(input value as integer):
   end method.

   method public void Lock(input position as int64, input length as int64):
   end method.

   method public void Unlock(input position as int64, input length as int64):
   end method.

   method public override System.Threading.Tasks.Task ReadAsync(input buffer as System.Byte extent, input offset as integer, input count as integer, input cancellationToken as System.Threading.CancellationToken):
   end method.

   method public override System.Threading.Tasks.Task WriteAsync(input buffer as System.Byte extent, input offset as integer, input count as integer, input cancellationToken as System.Threading.CancellationToken):
   end method.

   method public override System.Threading.Tasks.Task FlushAsync(input cancellationToken as System.Threading.CancellationToken):
   end method.

end class.
