class System.Security.Claims.ClaimsIdentity
   inherits System.Object
   implements System.Security.Principal.IIdentity:

   def public static variable DefaultIssuer as character.

   def public static variable DefaultNameClaimType as character.

   def public static variable DefaultRoleClaimType as character.

   def public property AuthenticationType as character
      get.

   def public property IsAuthenticated as logical
      get.

   def public property Actor as System.Security.Claims.ClaimsIdentity
      get.
      set.

   def public property BootstrapContext as System.Object
      get.
      set.

   def public property Claims as System.Collections.Generic.IEnumerable
      get.

   def protected property CustomSerializationData as System.Byte extent
      get.

   def public property Label as character
      get.
      set.

   def public property Name as character
      get.

   def public property NameClaimType as character
      get.

   def public property RoleClaimType as character
      get.

   constructor public ClaimsIdentity():
   end constructor.

   constructor public ClaimsIdentity(input identity as System.Security.Principal.IIdentity):
   end constructor.

   constructor public ClaimsIdentity(input claims as System.Collections.Generic.IEnumerable):
   end constructor.

   constructor public ClaimsIdentity(input authenticationType as character):
   end constructor.

   constructor public ClaimsIdentity(input claims as System.Collections.Generic.IEnumerable, input authenticationType as character):
   end constructor.

   constructor public ClaimsIdentity(input identity as System.Security.Principal.IIdentity, input claims as System.Collections.Generic.IEnumerable):
   end constructor.

   constructor public ClaimsIdentity(input authenticationType as character, input nameType as character, input roleType as character):
   end constructor.

   constructor public ClaimsIdentity(input claims as System.Collections.Generic.IEnumerable, input authenticationType as character, input nameType as character, input roleType as character):
   end constructor.

   constructor public ClaimsIdentity(input identity as System.Security.Principal.IIdentity, input claims as System.Collections.Generic.IEnumerable, input authenticationType as character, input nameType as character, input roleType as character):
   end constructor.

   constructor public ClaimsIdentity(input reader as System.IO.BinaryReader):
   end constructor.

   constructor protected ClaimsIdentity(input other as System.Security.Claims.ClaimsIdentity):
   end constructor.

   constructor protected ClaimsIdentity(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   constructor protected ClaimsIdentity(input info as System.Runtime.Serialization.SerializationInfo):
   end constructor.

   method public override System.Security.Claims.ClaimsIdentity Clone():
   end method.

   method public void AddClaim(input claim as System.Security.Claims.Claim):
   end method.

   method public void AddClaims(input claims as System.Collections.Generic.IEnumerable):
   end method.

   method public logical TryRemoveClaim(input claim as System.Security.Claims.Claim):
   end method.

   method public void RemoveClaim(input claim as System.Security.Claims.Claim):
   end method.

   method public System.Collections.Generic.IEnumerable FindAll(input match as System.Predicate):
   end method.

   method public System.Collections.Generic.IEnumerable FindAll(input type as character):
   end method.

   method public logical HasClaim(input match as System.Predicate):
   end method.

   method public logical HasClaim(input type as character, input value as character):
   end method.

   method public System.Security.Claims.Claim FindFirst(input match as System.Predicate):
   end method.

   method public System.Security.Claims.Claim FindFirst(input type as character):
   end method.

   method protected void GetObjectData(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end method.

   method protected System.Security.Claims.Claim CreateClaim(input reader as System.IO.BinaryReader):
   end method.

   method public void WriteTo(input writer as System.IO.BinaryWriter):
   end method.

   method protected void WriteTo(input writer as System.IO.BinaryWriter, input userData as System.Byte extent):
   end method.

end class.
